---
doc_type: hypothesis-highlights
url: https://www.canvasintelligence.com/the-role-of-business-intelligence-in-strategic-business-planning/
---

# canvasintelligence/The Role of Business Intelligence in Strategic Business Planning

- layer:: notes
- author:: [canvasintelligence.com]()
- group:: Bang
- category:: article

## Highlights

updated: [2023-02-25T19:49:12](https://hyp.is/zhBMHLUKEe2FGTtvou76Lw/www.canvasintelligence.com/the-role-of-business-intelligence-in-strategic-business-planning/)  
tags:: #read

updated: [2023-02-25T18:25:49](https://hyp.is/DxBt3rT_Ee2LxQuRHFoSeA/www.canvasintelligence.com/the-role-of-business-intelligence-in-strategic-business-planning/)  
highlight:: What is Business Intelligence?  
annotation:: # a

updated: [2023-02-25T18:25:54](https://hyp.is/Kqz8frT_Ee21Xx8nVFMEvQ/www.canvasintelligence.com/the-role-of-business-intelligence-in-strategic-business-planning/)  
highlight:: 

Business Intelligence – BI – is software that consolidates business data into actionable insights that allow companies to make informed business decisions. Using BI tools, businesses are able to access and analyse data through reports, graphs, dashboards, charts, summaries and maps. ^zvvkz6

updated: [2023-02-25T18:26:50](https://hyp.is/TCc4ELT_Ee28VBsQ-IU8Nw/www.canvasintelligence.com/the-role-of-business-intelligence-in-strategic-business-planning/)  
highlight:: What is strategic business planning?  
annotation:: # a

updated: [2023-02-25T18:26:59](https://hyp.is/UYSbkLT_Ee2kwofPgFrRyg/www.canvasintelligence.com/the-role-of-business-intelligence-in-strategic-business-planning/)  
highlight:: 

organisational management activity used by businesses to prioritise processes, and to focus skills and resources in a way that strengthens operations. This ensures that everyone – from management to entry-level employees – are all working towards a common goal. ^i8fof1

updated: [2023-02-25T18:27:16](https://hyp.is/W6cpnrT_Ee2LAaOpI1aUwg/www.canvasintelligence.com/the-role-of-business-intelligence-in-strategic-business-planning/)  
highlight:: How do the two work together?  
annotation:: # a

updated: [2023-02-25T18:27:22](https://hyp.is/Xvg3qrT_Ee2bardUskEaHg/www.canvasintelligence.com/the-role-of-business-intelligence-in-strategic-business-planning/)  
highlight:: 

BI provides you with the relevant data to inform decisions related to your business planning approach. This can be done in a number of ways. ^zo85ej

updated: [2023-02-25T18:31:05](https://hyp.is/5EX85LT_Ee2uw8cI-9q6sg/www.canvasintelligence.com/the-role-of-business-intelligence-in-strategic-business-planning/)  
highlight:: Streamline marketing  
annotation:: ## a

updated: [2023-02-25T18:31:19](https://hyp.is/7FxdnLT_Ee2wlnPo_lDR_Q/www.canvasintelligence.com/the-role-of-business-intelligence-in-strategic-business-planning/)  
highlight:: 

An effective marketing campaign is key to any business plan ^nlqoxv

updated: [2023-02-25T18:31:49](https://hyp.is/_hi4PLT_Ee2pdkfwFVZe-w/www.canvasintelligence.com/the-role-of-business-intelligence-in-strategic-business-planning/)  
highlight:: 

You can also use this opportunity to drop what isn’t working. Even if it was effective in the past, marketing strategies have drastically revolutionised and you’ll need to keep up. ^ifqlmn

updated: [2023-02-25T18:32:00](https://hyp.is/BR_evLUAEe223j80IaDnXg/www.canvasintelligence.com/the-role-of-business-intelligence-in-strategic-business-planning/)  
highlight:: Faster decision-making  
annotation:: ## a

updated: [2023-02-25T18:32:42](https://hyp.is/HjeiDrUAEe2ba3Nologz5Q/www.canvasintelligence.com/the-role-of-business-intelligence-in-strategic-business-planning/)  
highlight:: 

Using BI tools, you’re able to access the latest business data through reports, charts and graphs, thereby ensuring your business plan is working off sound information. ^ahmniw

updated: [2023-02-25T18:32:50](https://hyp.is/Ip3XALUAEe2kxrvrusSbZQ/www.canvasintelligence.com/the-role-of-business-intelligence-in-strategic-business-planning/)  
highlight:: Better sales’ strategies  
annotation:: ## a

updated: [2023-02-25T18:33:11](https://hyp.is/LxcNJrUAEe2kr-s7ajKGsQ/www.canvasintelligence.com/the-role-of-business-intelligence-in-strategic-business-planning/)  
highlight:: 

Through this useful data visualisation, your sales’ team is able to see – in real time – where business is performing better so that sales’ numbers can be analysed, the sales’ budget accurately planned and company targets met. ^dpfirf

updated: [2023-02-25T18:33:33](https://hyp.is/PDk_zrUAEe2zjRu9UyfexA/www.canvasintelligence.com/the-role-of-business-intelligence-in-strategic-business-planning/)  
highlight:: human resources  
annotation:: ## a

updated: [2023-02-25T18:34:06](https://hyp.is/UDkiPLUAEe2VdOOazOAVHA/www.canvasintelligence.com/the-role-of-business-intelligence-in-strategic-business-planning/)  
highlight:: 

We’ve outlined a number of ways that BI can help with strategic business planning for all external operations, but you mustn’t overlook how it can enhance business planning internally as well. ^uu2yta

updated: [2023-02-25T18:34:42](https://hyp.is/Za6A0LUAEe2LyJ-wx1xfgA/www.canvasintelligence.com/the-role-of-business-intelligence-in-strategic-business-planning/)  
highlight:: 

From a human resources’ perspective, BI is able to effectively analyse data related to your employee leave, employee turnover and employee performance. This empowers you to make the relevant changes, such as implanting training programmes or a rewards’ incentive to improve employee performance ^gmkc8w

updated: [2023-02-25T18:37:16](https://hyp.is/wXhAGLUAEe21i5Nfl4bWcw/www.canvasintelligence.com/the-role-of-business-intelligence-in-strategic-business-planning/)  
highlight:: 

At the end of it all, BI is a useful tool for saving you both time and money in strategic business planning. ^e11844

updated: [2023-02-25T20:04:14](https://hyp.is/5y44sLUMEe2ShMut7wFJSg/www.canvasintelligence.com/the-role-of-business-intelligence-in-strategic-business-planning/)  
highlight:: Get market insights

updated: [2023-02-25T20:04:19](https://hyp.is/6jMSdLUMEe2d3Z9oRIy0Ag/www.canvasintelligence.com/the-role-of-business-intelligence-in-strategic-business-planning/)  
highlight:: 

You can use the BI software to garner useful data on your competitors through data analysis and metrics. By understanding what’s working for your competitors, you’re able to identify whether you’re implementing the same techniques, or if you need to try a different approach ^oqevqp

updated: [2023-02-25T20:04:22](https://hyp.is/7AmZarUMEe2FHYuKbvOC8w/www.canvasintelligence.com/the-role-of-business-intelligence-in-strategic-business-planning/)  
highlight:: 

BI will also let you know what you’re doing right that your competitors might be missing out on, allowing you to leverage this by enhancing key performance areas in your business planning. ^h8sdfo

updated: [2023-02-25T20:04:42](https://hyp.is/-Gjb0LUMEe2Z-dtSnE7Uyw/www.canvasintelligence.com/the-role-of-business-intelligence-in-strategic-business-planning/)  
highlight:: 

Through BI you’re able to evaluate your marketing spend, and determine which avenues the budget should go towards, whether it’s mobile marketing, social media marketing, online campaigns, print, radio or television marketing – maximise on your best efforts ^dpc9th
